/* Import Google font - Poppins */
.wrapper{
  width: 100%;
  box-sizing: border-box;
  padding-left: 60px;
  padding-right: 60px; 
  border-radius: 10px;
  box-shadow: 0 15px 40px rgba(0,0,0,0.12);
  transition-property: max-height, min-height, height, padding;
  transition-duration: 0.35s;
  transition-timing-function: ease;
  -webkit-transition-property: max-height, min-height, height, padding;
  -webkit-transition-duration: 0.35s;
  -webkit-transition-timing-function: ease;
}
.wrapper header{
  display: flex;
  align-items: center;
  padding: 25px 30px 10px;
  justify-content: space-between;
}
header .icons{
  display: flex;
}
header .icons span{
  height: 38px;
  width: 38px;
  margin: 0 1px;
  cursor: pointer;
  color: #878787;
  text-align: center;
  line-height: 38px;
  font-size: 1.9rem;
  user-select: none;
  border-radius: 50%;
}
.icons span:last-child{
  margin-right: -10px;
}
header .icons span:hover{
  background: #f2f2f2;
}
header .current-date{
  font-size: 1.45rem;
  font-weight: 500;
}
.calendar{
  padding: 20px;
  transition-property: max-height, min-height, height, padding;
  transition-duration: 0.35s;
  transition-timing-function: ease;
  -webkit-transition-property: max-height, min-height, height, padding;
  -webkit-transition-duration: 0.35s;
  -webkit-transition-timing-function: ease;
}
.calendar ul{
  display: flex;
  flex-wrap: wrap;
  list-style: none;
  text-align: center;
}
.calendar .days{
  margin-bottom: 20px;
}
.calendar li{
  width: calc(100% / 7);
  font-family: "Montserrat", sans-serif;
  font-size: 18px;
  font-weight: 500;
  color: #51493E;
  transition-property: font-size;
  transition-duration: 0.35s;
  transition-timing-function: ease;
  -webkit-transition-property: font-size;
  -webkit-transition-duration: 0.35s;
  -webkit-transition-timing-function: ease;
}
.calendar .weeks li{
  font-weight: 500;
  cursor: default;
  font-size: 12px;
  text-align: center;
}
.calendar .days li{
  z-index: 1;
  cursor: pointer;
  position: relative;
  margin-top: 30px;
}
.days li.inactive{
  color: #aaa;
}
.days li.active{
  color: #51493E;
  font-weight: 700;
}
.days li::before{
  position: absolute;
  content: "";
  left: 50%;
  top: 50%;
  height: 40px;
  width: 100%;
  z-index: -1;
  transform: translate(-50%, -50%);
}
.days li.active::before{
  border: 1px dashed #51493E55
}
.days li:not(.active):hover::before{
  /* background: #f2f2f2; */
}


@media screen And (max-width: 768px) {

  .wrapper{
    padding-left: 30px;
    padding-right: 30px;
  }

  .calendar{
    padding: 4px;
  }


}

@media screen And (max-width: 480px) {

  .wrapper{
    padding-left: 12px;
    padding-right: 12px;
  }

}


@media screen And (max-width: 380px) {

  .calendar li{
    font-size: 16px;
  }

  .calendar{
    padding: 4px;
  }


}

